Name:		gnome-kerberos
Version: 0.3.2
Release:  %mkrel 6
License:	GPL
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	krb5-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	popt-devel
BuildRequires:	texinfo
BuildRequires:  desktop-file-utils
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}_icons.tar.bz2
Patch0:		krb-desktop-entry-fix.patch
Patch1:		gnome-kerberos-0.3.2-fix-str-fmt.patch
Summary:	Kerberos 5 tools for GNOME

%description
This package contains krb5, a tool for managing Kerberos 5 tickets, and
gkadmin, a tool for managing Kerberos realms that uses the kadmin protocols.

%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p0

%build
# never call autoconf. configure.in and configure are out of sync.
%configure2_5x --with-krb5=%{_sysconfdir}/kerberos
%make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/
mv $RPM_BUILD_ROOT%{_datadir}/applications/redhat-krb5.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Utilities/krb5.desktop

rm -rf RPM_BUILD_ROOT%{_datadir}/applications

%find_lang %name

#icons entries
install -m644 %{name}-16.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{name}-32.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{name}-48.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

#%menu entries 
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/krb5
Icon=%{name}
Categories=Network;
Name=Gnome-Kerberos
Comment=Kerberos 5 tools for GNOME
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING AUTHORS ChangeLog INSTALL ABOUT-NLS
%{_datadir}/gnome/apps/Utilities/krb5.desktop
%{_datadir}/pixmaps/kerberos.png
%{_datadir}/%{name}/
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_bindir}/*



%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.2-6mdv2011.0
+ Revision: 610929
- rebuild

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 0.3.2-5mdv2010.1
+ Revision: 499655
- fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.3.2-4mdv2009.0
+ Revision: 246413
- rebuild
- fix 'error: for key "Icon" in group "Desktop Entry" is an icon name with an
  extension, but there should be no extension as described in the Icon Theme
  Specification if the value is not an absolute path'

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 0.3.2-2mdv2008.1
+ Revision: 131745
- fix menu entry comment
- auto-convert XDG menu entry
- patch 0: fix 'error: value "kerberos.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path'
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- fix summary-ended-with-dot
- import gnome-kerberos


* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.2-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Wed Sep 03 2003 Florin <florin@mandrakesoft.com> 0.3.1-1mdk
- 0.3.2
- move to contribs as it depends on desktop-file-utils

* Thu Jul 31 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-5mdk
- buildrequires fix

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-4mdk
- rebuild against new kerberos

* Thu Jul 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.1-3mdk
- cosmetics
- macroize

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 0.3.1-2mdk
- fix the menu entry

* Fri Jan 24 2003 Florin <florin@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Sat Aug  3 2002 Stefan van der Eijk <stefan@eijk.nu> 0.3-2mdk
- BuildRequires

* Mon May 06 2002 Florin <florin@mandrakesoft.com> 0.3-1mdk
- 0.3
- remove the patch
- update the requires

* Thu Feb 28 2002 Geoffrey Lee <snailtalk@mandarkesoft.com> 0.2.2-2mdk
- Don't make it require a non-versioned tcl.

* Thu Aug 09 2001 Florin <florin@mandrakesoft.com> 0.2.2-1mdk
- Mandrake version
- Buildrequires gnome-libs-devel, automake, autoconf, texinfo

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Fri Jan 05 2001 Yukihiro Nakai <ynakai@redhat.com>
- Gettextized
- Add Japanese resources

* Tue Aug 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against 1.2.1
- return a reasonable error code from krb5
- fix connecting to non-default kadmin servers in gkadmin (#16744)

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild against 1.2 (release 3)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS adjustments

* Thu Jan 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- make new principal password prompts hidden, fix title bar in gkadmin
- rename gkadmin's .desktop to Kerberos Administration

* Thu Jan  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial version goes in to CVS
